Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PolicyC.cpp File Reference

`#include "PolicyC.h"`
`#include "tao/Exception_Data.h"`
`#include "tao/Invocation_Adapter.h"`
`#include "tao/Object_T.h"`
`#include "tao/Typecode.h"`
`#include "tao/Basic_Arguments.h"`
`#include "tao/Object_Argument_T.h"`
`#include "ace/OS_NS_string.h"`
`#include "PolicyC.i"`

Include dependency graph for PolicyC.cpp:

## Namespaces
namespace | CORBA
namespace | TAO
## Compounds
class | Arg_Traits< CORBA::Policy >
## Defines
#define | _CORBA_POLICY__ARG_TRAITS_CS_
#define | _CORBA_INVALIDPOLICIES__TAO_SEQ_CORBA_USHORT__CS_
## Functions
CORBA::TypeCode | _tc_TAO_tc_CORBA_PolicyErrorCode (CORBA::tk_alias, sizeof(_oc_CORBA_PolicyErrorCode),(char *)&_oc_CORBA_PolicyErrorCode, 0, sizeof(CORBA::PolicyErrorCode))
CORBA::TypeCode | _tc_TAO_tc_CORBA_PolicyError (CORBA::tk_except, sizeof(_oc_CORBA_PolicyError),(char *)&_oc_CORBA_PolicyError, 0, sizeof(CORBA::PolicyError))
CORBA::TypeCode | _tc_TAO_tc_CORBA_InvalidPolicies (CORBA::tk_except, sizeof(_oc_CORBA_InvalidPolicies),(char *)&_oc_CORBA_InvalidPolicies, 0, sizeof(CORBA::InvalidPolicies))
CORBA::TypeCode | _tc_TAO_tc_CORBA_Policy (CORBA::tk_objref, sizeof(_oc_CORBA_Policy),(char *)&_oc_CORBA_Policy, 0, sizeof(CORBA::Policy))
CORBA::TypeCode | _tc_TAO_tc_CORBA_PolicyManager (CORBA::tk_objref, sizeof(_oc_CORBA_PolicyManager),(char *)&_oc_CORBA_PolicyManager, 0, sizeof(CORBA::PolicyManager))
CORBA::TypeCode | _tc_TAO_tc_CORBA_PolicyCurrent (CORBA::tk_objref, sizeof(_oc_CORBA_PolicyCurrent),(char *)&_oc_CORBA_PolicyCurrent, 0, sizeof(CORBA::PolicyCurrent))
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const CORBA::InvalidPolicies::_tao_seq_CORBA_UShort_ &_tao_sequence)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, CORBA::InvalidPolicies::_tao_seq_CORBA_UShort_ &_tao_sequence)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const CORBA::Policy_ptr _tao_objref)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, CORBA::Policy_ptr &_tao_objref)
## Variables
const CORBA::Long | _oc_CORBA_PolicyErrorCode []
const CORBA::Long | _oc_CORBA_PolicyError []
const CORBA::Long | _oc_CORBA_InvalidPolicies []
TAO::Collocation_Proxy_Broker *(* | CORBA__TAO_Policy_Proxy_Broker_Factory_function_pointer )(CORBA::Object_ptr obj)=0
const CORBA::Long | _oc_CORBA_Policy []
TAO::Collocation_Proxy_Broker *(* | CORBA__TAO_PolicyManager_Proxy_Broker_Factory_function_pointer )(CORBA::Object_ptr obj)=0
const CORBA::Long | _oc_CORBA_PolicyManager []
TAO::Collocation_Proxy_Broker *(* | CORBA__TAO_PolicyCurrent_Proxy_Broker_Factory_function_pointer )(CORBA::Object_ptr obj)=0
const CORBA::Long | _oc_CORBA_PolicyCurrent []

## Define Documentation

#define _CORBA_INVALIDPOLICIES__TAO_SEQ_CORBA_USHORT__CS_

#define _CORBA_POLICY__ARG_TRAITS_CS_

## Function Documentation

CORBA::TypeCode _tc_TAO_tc_CORBA_InvalidPolicies | ( | CORBA::tk_except | ,
|  | sizeof(_oc_CORBA_InvalidPolicies) | ,
|  | (char *)& | _oc_CORBA_InvalidPolicies,
|  | 0 | ,
|  | sizeof(CORBA::InvalidPolicies) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_CORBA_Policy | ( | CORBA::tk_objref | ,
|  | sizeof(_oc_CORBA_Policy) | ,
|  | (char *)& | _oc_CORBA_Policy,
|  | 0 | ,
|  | sizeof(CORBA::Policy) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_CORBA_PolicyCurrent | ( | CORBA::tk_objref | ,
|  | sizeof(_oc_CORBA_PolicyCurrent) | ,
|  | (char *)& | _oc_CORBA_PolicyCurrent,
|  | 0 | ,
|  | sizeof(CORBA::PolicyCurrent) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_CORBA_PolicyError | ( | CORBA::tk_except | ,
|  | sizeof(_oc_CORBA_PolicyError) | ,
|  | (char *)& | _oc_CORBA_PolicyError,
|  | 0 | ,
|  | sizeof(CORBA::PolicyError) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_CORBA_PolicyErrorCode | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_CORBA_PolicyErrorCode) | ,
|  | (char *)& | _oc_CORBA_PolicyErrorCode,
|  | 0 | ,
|  | sizeof(CORBA::PolicyErrorCode) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_CORBA_PolicyManager | ( | CORBA::tk_objref | ,
|  | sizeof(_oc_CORBA_PolicyManager) | ,
|  | (char *)& | _oc_CORBA_PolicyManager,
|  | 0 | ,
|  | sizeof(CORBA::PolicyManager) |
| ) | `[static]`

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const CORBA::Policy_ptr | _tao_objref
| ) |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const CORBA::InvalidPolicies::_tao_seq_CORBA_UShort_ & | _tao_sequence
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | CORBA::Policy_ptr & | _tao_objref
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | CORBA::InvalidPolicies::_tao_seq_CORBA_UShort_ & | _tao_sequence
| ) |

## Variable Documentation

const CORBA::Long _oc_CORBA_InvalidPolicies[]`[static]`

const CORBA::Long _oc_CORBA_Policy[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      29,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x434f5242),
      ACE_NTOHL (0x412f506f),
      ACE_NTOHL (0x6c696379),
      ACE_NTOHL (0x3a312e30),
      ACE_NTOHL (0x0),
        7,
      ACE_NTOHL (0x506f6c69),
      ACE_NTOHL (0x63790000),
      }

const CORBA::Long _oc_CORBA_PolicyCurrent[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      36,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x434f5242),
      ACE_NTOHL (0x412f506f),
      ACE_NTOHL (0x6c696379),
      ACE_NTOHL (0x43757272),
      ACE_NTOHL (0x656e743a),
      ACE_NTOHL (0x312e3000),
        14,
      ACE_NTOHL (0x506f6c69),
      ACE_NTOHL (0x63794375),
      ACE_NTOHL (0x7272656e),
      ACE_NTOHL (0x74000000),
      }

const CORBA::Long _oc_CORBA_PolicyError[]`[static]`

const CORBA::Long _oc_CORBA_PolicyErrorCode[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      38,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x434f5242),
      ACE_NTOHL (0x412f506f),
      ACE_NTOHL (0x6c696379),
      ACE_NTOHL (0x4572726f),
      ACE_NTOHL (0x72436f64),
      ACE_NTOHL (0x653a312e),
      ACE_NTOHL (0x30000000),
        16,
      ACE_NTOHL (0x506f6c69),
      ACE_NTOHL (0x63794572),
      ACE_NTOHL (0x726f7243),
      ACE_NTOHL (0x6f646500),
        CORBA::tk_short,

    }

const CORBA::Long _oc_CORBA_PolicyManager[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      36,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x434f5242),
      ACE_NTOHL (0x412f506f),
      ACE_NTOHL (0x6c696379),
      ACE_NTOHL (0x4d616e61),
      ACE_NTOHL (0x6765723a),
      ACE_NTOHL (0x312e3000),
        14,
      ACE_NTOHL (0x506f6c69),
      ACE_NTOHL (0x63794d61),
      ACE_NTOHL (0x6e616765),
      ACE_NTOHL (0x72000000),
      }

TAO::Collocation_Proxy_Broker*(* CORBA__TAO_Policy_Proxy_Broker_Factory_function_pointer)( CORBA::Object_ptr obj ) = 0

TAO::Collocation_Proxy_Broker*(* CORBA__TAO_PolicyCurrent_Proxy_Broker_Factory_function_pointer)( CORBA::Object_ptr obj ) = 0

TAO::Collocation_Proxy_Broker*(* CORBA__TAO_PolicyManager_Proxy_Broker_Factory_function_pointer)( CORBA::Object_ptr obj ) = 0